/* Add grid960 system */
@import url('960.min.css');

/* General definitions */

body {
  background-color: #000;
  color: #FFF;
  font-family: sans-serif;
  margin: 0;
  padding: 0;
  font-size: 13px;
  line-height: 150%;
}

.noborder,
img {
  border: none !important;
}

p {
  margin: 5px 0 10px 0;
}

#header div.header-banner div#imgLogo span { display: none; }

#header div.header-banner div#imgLogo {
  background: url('images/bg_logo_xp.png') no-repeat;
  display: block;
  height: 130px;
  width: 415px;
  margin-bottom: 35px;
  box-sizing: border-box;
}

#site-title {
  text-shadow: #000 2px -2px 5px, #000 -2px 2px 5px, #000 2px 2px 5px, #000 -2px -2px 5px;
  color: #ffdd00;
  line-height: inherit;
  font-weight: normal;
  font-size: 1.6em;
  margin-top: 40px;
}

h2 {
  font-size: 18px;
  margin: 25px 0 15px 0;
  color: #ee2211;
  font-size: 22px;
}

h3 {
  font-size: 16px;
  margin: 28px 0 10px 0;
  color: #edd400;
}

h4 {
  font-size:14px;
  color: #FFF;
  margin: 15px 0 8px 0;
  padding: 0;

}

.html-error h2.title {
  font-size: 45px;
}

.html-error p {
  font-size: 18px;
  font-weight: bold;
}

.html-error .error-text {
  color: #6B0002;
}

/* Main frames and design */

#all-content-wrapper,
#main-content-wrapper,
#sponsors-infrastructure-wrapper,
#footer-wrapper {
  padding: 0;
  background: #191919;
}

#footer-wrapper {
  clear: both;
  background: #000;
}

#main-content-wrapper {
  padding: 0 0 50px 0;
}

#main-content {
  padding: 10px 25px 10px 40px;
}

#header {
  margin: 0px auto;
  width: 100%;
  height: 275px;
  background: #000 url('images/bg_header.jpg') top center no-repeat;
}

#header .header-mountain {
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
}

#header .header-inside {
  padding-top: 20px;
}

h1#site-title a {
  font-family: sans-serif;
  color: #ee2211;
  text-decoration: none;
  font-weight: bold;
  font-size: 1.7em;
  display:block;
  line-height: 1.2em;
}

#text-banner {
  color: #ffdd00;
  text-decoration: none;
  font-weight: normal;
  font-size: 1.6em;
  color: #ee2211;
  float: right;
}

#header img {
  margin:0;
  padding: 0;
}

#footer img {
  margin: 5px 0px 0px 5px;
}

#sidebar {
  background-color: #191919;
  padding: 5px;
  margin: 10px 0px 20px 10px;
  float: right;
}

/* Tables */

table {
  margin: 0;
  text-align: left;
  color: #333;
}
th, td {
  vertical-align: top;
  min-width: 150px;
}
th {
  background: #333;
  padding: 5px 10px;
  color: #fff;
}
th.sub {
  background: #aaaaaa;
  color: #000;
}
td {
  background: #F5F5F5;
  padding: 5px 10px;
}


/* Menus and navigations */

#main-menu {
  background-color: #ffdd00;
  width: 100%;
}

#menu-content-wrapper {
  margin: 0px auto;
}

#main-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

#main-menu li {
  float: left;
  padding-right: 1em;
}

#main-menu li a {
  color: #1A1A00;
  font-size: 1.4em;
  padding: 0.3em 0.5em 0.5em 0.5em;
  text-decoration: none;
  display: block;
}

#main-menu li a:hover {
  background-color: #ee2211;
  color: #000;
  transition: 0.3s;
}



#past-debconfs {
  background: #000;
  padding: 10px 25px;
  color: #FFF;
  font-weight: bold;
  font-size: 12px;
  float: right;
}

#header ul.info {
  list-style-type: none;
  padding: 0;
  margin: 10px;
  float: left;
}

#header ul.info li {
  margin: 10px 10px 0 5px;
}

#header ul.info li.language-switcher {
  /*padding: 2px 15px;*/
}

#header ul.info li.language-switcher:hover {
  color: #ee2211;
}

#header ul.info a {
  color: #333;
  font-weight: bold;
  text-decoration: none;
}

/* Sponsors section */

#sponsors-general-wrapper {
  text-align: center;
}

#sponsors-general-wrapper h3 {
  font-size: 16px;
  text-align: center;
  clear: both;
  margin-top: 20px;
  background-color: #edd400;
  color: #000;
}

#cat1-sponsors li, #cat2-sponsors li {
  margin-left: 35px;
}

#sponsors-general-wrapper h2.footer-title {
  position: relative;
  color: #ee2211;
  font-size: 30px;
}

#sponsors-general-wrapper h2.footer-title a {
  color: #ee2211;
  text-decoration: none;
}

#sponsors-general-wrapper ul {
  padding:0;
  margin:0;
}

#sponsors-general-wrapper ul li {
  list-style-type: none;
  display: block;
  height: 75px;
  line-height: 75px;
  margin-bottom: 10px;
  background-color: #fff;
  border: 1px solid #dfdfdf;
  box-sizing: border-box;
}

#sponsors-general-wrapper ul li a {
  text-decoration: none;
  color: #545454;
  font-size: 13px;
  display: block;
  height: 100%;
}

#sponsors-general-wrapper ul li.become_sponsor {
  background-color: #191919 !important;
  border-color: #000 !important;
}

#sponsors-general-wrapper ul li.become_sponsor a {
  color: #ee2211 !important;
}

body.contrast #sponsors-general-wrapper ul li.become_sponsor {
  background-color: #fff !important;
  border-color: #dfdfdf !important;
}

body.contrast #sponsors-general-wrapper ul li.become_sponsor a {
  color: #545454 !important;
}

body.contrast li.become_sponsor {
  background-color: #191919 !important;
  border-color: #000 !important;
}

body.contrast li.become_sponsor a {
  color: #ee2211 !important;
}

#sponsors-general-wrapper ul li a img {
  vertical-align: middle;
}

#sponsors-invite a {
  font-weight: bold;
}

#sponsors-media {
  background: #000;
  padding: 0 15px 10px 15px;
}

#sponsors-media li {
  display: block;
  width: 100px;
  height: 35px;
  list-style: none;
  padding: 10px;
  margin: 5px;
  text-align: center;
  float: left;
  background: #FFF;
}

#platinum-sponsors ul li {
  height: 120px;
  line-height: 120px;
}

#sponsors-general-wrapper #sponsors-supporters {
  display: none;
}

#sponsors-other li {
    line-height: 70px;
    height: 75px;
    text-align: center;
}

#sponsors-infrastructure {
  padding: 5px 20px 10px 20px;
}

#sponsors-infrastructure-wrapper {
  background: #000;
}

#sponsors-infrastructure-wrapper a {
  text-decoration: none;
}

#sponsors-infrastructure-wrapper h3 {
  font-size: 14px;
  margin: 5px 10px 15px 0;
  padding: 5px 0;
}

#sponsors-infrastructure h3 {
  margin: 5px 10px 0 0;
  padding: 5px 0;
}

#sponsors-infrastructure-wrapper .sponsors {
  margin-top: -15px;
}

#sponsors-infrastructure li {
  display: block;
  float: left;
  margin: 10px;
  padding: 10px;
  height: 30px;
  text-align: center;
  vertical-align: middle;
  background: #FFF;
}

#sponsors-infrastructure img { max-width: 100px; }

#footer {
  color: #333;
  min-height: 55px;
  padding: 5px 20px 10px 20px;
  font-size:12px;
  clear: both;
}

#footer .attribution {
  font-size: 0.9em;
  text-decoration: none;
  font-weight: normal;
}

#footer .license {
  margin-top: -30px;
  margin-right: 20px;
  font-size: 10px;
  position: relative;
  float: left;
  text-align: right;
}

#footer .license a {
  border-bottom: none;
}

/* Page specific */

#main-content .feed-icon {
  float:right;
  margin-top: -25px;
}

.badget-advise {
  font-size: 10px;
  color: #999;
}

table.artwork td {
  text-align: center;
  padding: 20px 0;
}

table.artwork th.sub {
  background: #ccc;
}

table.artwork-logo td {
  padding: 20px;
}

table.artwork-logo td ul {
  padding-left: 15px;
}

#main-content .attribution {
  font-size: 10px;
  color: #666;
}

#main-content p {
  text-align: justify;
}

#footer a,
#main-content a,
#main-content td a:hover {
  color: #edd400;
  text-decoration: none;
}

#footer a:hover,
#main-content a:hover,
#main-content td a {
  color: #ee2211;
  border-bottom: 1px dotted #ee2211;
}

/* Front page articles */

.article {
  margin-top: 1em;
  padding-bottom: 0.5em;
  border-bottom: 3px dotted #EEEEEE;
}

.article h3 {
  margin-top: 5px;
}

.article h3 a {
  text-decoration: none;
  color: #000;
}

.article h3 a:hover {
  color: #124745;
}

.article img {
  margin: 0.5em;
  max-width: 100%;
  height: auto;
}

.article-date {
  float: right;
  margin-left: 3em;
  font-size: 18px;
  color: #999;
  font-weight: bold;
  text-align: center;
}

body.contrast .article-date {
  color: #333;
}

.index {
  background-color: #777;
  float: right;
  margin: 0 0 20px 20px;
  padding: 15px;
}

a.button {
  border-radius: 1.2em;
  -moz-border-radius: 1.2em;
  -webkit-border-radius: 1.2em;
  background-color: #ee2211;
  opacity:0.8;
  filter:alpha(opacity=80); /* For IE8 and earlier */
  text-decoration: none;
  color: #FFFFFF !important;
  padding: 0.5em;
  transition: 0.3s;
}

a.button:hover {
  background-color: #ef2929 !important;
}

#buttons {
  text-align: center;
  margin: 3em 0;
  font-weight: bold;
}

ul.index {
  list-style-type: none;
}

#main-menu a:hover .typo-union,
.typo-union {
  color: #666;
}

#main-menu .typo-union,
h2 span.typo-union {
  color: #999;
}

.banner a .typo-union {
  color: #D8DD2D;
}

/* Contrast Adjusts */
#buttonContrast {
  display: block;
  width: 120px;
  height: 20px;
  float: left;
  border-radius: 10px;
  overflow: hidden;
}

#buttonContrast a {
  font-size: 10px;
  background: url('images/button-contrast.png') left top no-repeat;
  color: #FFF;
  display: block;
  height: 20px;
  padding-left: 33px;
  text-decoration: none;
}

body.contrast #buttonContrast a {
  background: url('images/button-contrast.png') left bottom no-repeat;
  color: #000;
}

body.contrast #text-banner,
body.contrast #site-title {
  text-shadow: #FFF 2px -2px 5px, #FFF -2px 2px 5px, #FFF 2px 2px 5px, #FFF -2px -2px 5px;
  color: #000;
}

body.contrast #sponsors-infrastructure li,
body.contrast #sponsors-media li,
body.contrast #sponsors-media,
body.contrast #sponsors-infrastructure-wrapper,
body.contrast #footer-wrapper,
body.contrast #past-debconfs,
body.contrast {
  color: #000;
  background: #FAFAFA;
}

body.contrast #header {
  background: #FFF url('images/bg_header_day.jpg') top center no-repeat;
}

body.contrast #header div.header-banner div#imgLogo {
  background: url('images/bg_logo.png') no-repeat;
  background-color: rgba(255, 255, 255, 0.6);
}

body.contrast #main-menu {
  background: #edd400;
}

body.contrast #main-menu li a:hover {
  background: black;
  color: white;
}
body.contrast h3, body.contrast h4 {
  color: #545454;
}
body.contrast #sidebar,
body.contrast #all-content-wrapper,
body.contrast #main-content-wrapper {
 background: #FFF;
 color: #000;
}

body.contrast #footer a, body.contrast #main-content a, body.contrast #main-content td a:hover {
  color: #ee2211;
}
body.contrast #footer a:hover, body.contrast #main-content a:hover, body.contrast #main-content td a {
  color: #545454;
}

body.contrast ul.index {
  background-color: #ddd;
}

body.contrast #watchdc:hover {
  color: #000;
  text-decoration: none;
}

#watchdc:hover,
body.contrast #watchdc {
  color: #E21;
}

#watchdc {
  color: #ffdd00;
}
